using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using EMDServer.Common;
using EMDGui;

namespace EMDServer.Connection.Mock
{
    public class MockInterface:iEMDConnection
    {
        #region Class variables
        // ----------------------------------------
        public event EventHandler<CommandHandler> cmdReceived;
        // ----------------------------------------
        #endregion

        #region Public methods
        // ----------------------------------------
        public MockInterface()
        {
        }
        // ----------------------------------------
        #endregion

        #region iEMDConnection members
        // ----------------------------------------
        public bool openConnection()
        {
            return true;
        }

        public bool closeConnection()
        {
            return true;
        }

        public void sendCommand(Command cmd)
        {
        }

        public void onCommandReceived(Command cmd)
        {
            throw new NotImplementedException();
        }
        // ----------------------------------------
        #endregion
    }
}
